com.verisign.epp.codec.registry

## Class EPPRegistryRelated

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryRelated

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryRelated
      extends java.lang.Object
      implements EPPCodecComponent

  Class to hold the related zone information that include the list of related zone members and an optional definition of the fields that are shared or that are required to be synchronized.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the related root element local name.
    `static java.lang.String` | `ELM_NAME` Constant for the related root element name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryRelated()` Default constructor with an empty list of related zone members.
    `EPPRegistryRelated(java.util.List<EPPRegistryZoneMember> aMembers)` Constructor for `EPPRegistryRelated` that takes the required members field.
    `EPPRegistryRelated(java.util.List<EPPRegistryZoneMember> aMembers, EPPRegistryFields aFields)` Constructor for `EPPRegistryRelated` that takes the required members field and the optional fields field.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMember(EPPRegistryZoneMember aMember)` Adds a zone member to the list of related zone members.
    `java.lang.Object` | `clone()` Clone `EPPRegistryRelated`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the DOM element to the `EPPRegistryRelated`.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode the `EPPRegistryRelated` to a DOM Element
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryRelated` compare.
    `EPPRegistryFields` | `getFields()` Gets the related fields definition.
    `java.util.List<EPPRegistryZoneMember>` | `getMembers()` Gets the related zone members.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `boolean` | `hasFields()` Are fields defined?
    `void` | `setFields(EPPRegistryFields aFields)` Sets the related fields definition.
    `void` | `setMembers(java.util.List<EPPRegistryZoneMember> aMembers)` Sets the related zone members.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the related root element local name.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the related root element name.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryRelated

          public EPPRegistryRelated()

      Default constructor with an empty list of related zone members.

    - #### EPPRegistryRelated

          public EPPRegistryRelated(java.util.List<EPPRegistryZoneMember> aMembers)

      Constructor for `EPPRegistryRelated` that takes the required members field.
      Parameters:
        `aMembers` - Zone members list.

    - #### EPPRegistryRelated

          public EPPRegistryRelated(java.util.List<EPPRegistryZoneMember> aMembers,
                                    EPPRegistryFields aFields)

      Constructor for `EPPRegistryRelated` that takes the required members field and the optional fields field.
      Parameters:
        `aMembers` - Zone members list.
        `aFields` - Definition of how the related zone fields are managed.

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode the `EPPRegistryRelated` to a DOM Element
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - a DOM Document to attach data to.
      Returns:
        The root element of this component.
      Throws:
        `EPPEncodeException` - Thrown if any errors prevent encoding.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the DOM element to the `EPPRegistryRelated`.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - DOM Element to decode the attribute values
      Throws:
        `EPPDecodeException` - Error decoding the DOM Element

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryRelated`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryRelated`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryRelated` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryRelated` instance to compare with
      Returns:
        `true` if equal `false` otherwise

    - #### getFields

          public EPPRegistryFields getFields()

      Gets the related fields definition.
      Returns:
        Related fields if defined; `null` otherwise.

    - #### setFields

          public void setFields(EPPRegistryFields aFields)

      Sets the related fields definition.
      Parameters:
        `aFields` - Related fields

    - #### hasFields

          public boolean hasFields()

      Are fields defined?
      Returns:
        `true` if fields are defined; `false` otherwise.

    - #### getMembers

          public java.util.List<EPPRegistryZoneMember> getMembers()

      Gets the related zone members.
      Returns:
        Related zone members if defined; `null` otherwise.

    - #### setMembers

          public void setMembers(java.util.List<EPPRegistryZoneMember> aMembers)

      Sets the related zone members.
      Parameters:
        `aMembers` - Related zone members

    - #### addMember

          public void addMember(EPPRegistryZoneMember aMember)

      Adds a zone member to the list of related zone members.
      Parameters:
        `aMember` - Zone member to add to the list of related zone members.

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.